package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type ProblemInfoRouter struct {
}

// InitProblemInfoRouter 初始化 ProblemInfo 路由信息
func (s *ProblemInfoRouter) InitProblemInfoRouter(Router *gin.RouterGroup) {
	problemInfoRouter := Router.Group("problemInfo").Use(middleware.OperationRecord())
	var problemInfoApi = v1.ApiGroupApp.AutoCodeApiGroup.ProblemInfoApi
	{
		problemInfoRouter.POST("createProblemInfo", problemInfoApi.CreateProblemInfo)             // 新建ProblemInfo
		problemInfoRouter.POST("exportExcel", problemInfoApi.ExportExcel)                         // 导出Excel
		problemInfoRouter.POST("sendUser", problemInfoApi.SendUser)                               // 导出Excel
		problemInfoRouter.DELETE("deleteProblemInfo", problemInfoApi.DeleteProblemInfo)           // 删除ProblemInfo
		problemInfoRouter.DELETE("deleteProblemInfoByIds", problemInfoApi.DeleteProblemInfoByIds) // 批量删除ProblemInfo
		problemInfoRouter.PUT("updateProblemInfo", problemInfoApi.UpdateProblemInfo)              // 更新ProblemInfo
		problemInfoRouter.PUT("updateProblemInfoAudit", problemInfoApi.UpdateProblemInfoStatus)   // 更新审核信息
		problemInfoRouter.GET("getProblemInfoList", problemInfoApi.GetProblemInfoList)            // 获取ProblemInfo列表
		problemInfoRouter.GET("findProblemPInfo", problemInfoApi.FindProblemPInfo)                // 根据ID获取ProblemInfo
	}
}

func (s *ProblemInfoRouter) InitProblemInfoPRouter(Router *gin.RouterGroup) {
	problemInfoRouter := Router.Group("problemInfo").Use(middleware.OperationRecord())
	var problemInfoApi = v1.ApiGroupApp.AutoCodeApiGroup.ProblemInfoApi
	{
		problemInfoRouter.GET("findProblemInfo", problemInfoApi.FindProblemInfo) // 根据ID获取ProblemInfo
	}
}
